# Менеджер плагинов zplug
if [ ! -d $ZPLUG_HOME ]; then
	git clone https://github.com/zplug/zplug $ZPLUG_HOME
fi

source $ZPLUG_HOME/init.zsh

# Плагины
zplug "zdharma/fast-syntax-highlighting", defer:2

# Make sure to use double quotes
zplug "zsh-users/zsh-history-substring-search"

zplug "zsh-users/zsh-autosuggestions"
zplug "zsh-users/zsh-history-substring-search"
zplug "zsh-users/zsh-completions"
zplug "rupa/z"
if [[ "$DISPLAY" != '' ]] && command -v xdotool > /dev/null 2>&1 &&  command -v wmctrl > /dev/null 2>&1; then
	zplug "marzocchi/zsh-notify"
	zstyle ':notify:*' expire-time 6000
	zstyle ':notify:*' command-complete-timeout 20
fi
if command -v peco > /dev/null 2>&1; then
	zplug "jimeh/zsh-peco-history"
fi

zplug "plugins/command-not-found",   from:oh-my-zsh
zplug "plugins/common-aliases", from:oh-my-zsh
zplug "plugins/debian", from:oh-my-zsh
if command -v fzf > /dev/null 2>&1; then
	export DISABLE_FZF_KEY_BINDINGS=true
	zplug "plugins/fzf", from:oh-my-zsh
	# fzf
	if [ -e /usr/share/doc/fzf/examples/key-bindings.zsh ]; then
		.  /usr/share/doc/fzf/examples/key-bindings.zsh
	fi
	if [ -e /usr/share/doc/fzf/examples/completion.zsh ]; then
		. /usr/share/doc/fzf/examples/completion.zsh
	fi
fi
if command -v git > /dev/null 2>&1; then
	zplug "plugins/git", from:oh-my-zsh
fi
if command -v psql > /dev/null 2>&1; then
	zplug "plugins/postgres", from:oh-my-zsh
fi
zplug "plugins/sudo", from:oh-my-zsh
zplug "plugins/systemd", from:oh-my-zsh
zplug "plugins/vim-interaction", from:oh-my-zsh
zplug "plugins/web-search", from:oh-my-zsh

zplug "djui/alias-tips"
